Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.drag
Class HandlesAllDragEvents

    java.lang.Object
      com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.drag.HandlesAllDragEvents

All Implemented Interfaces:
  EventHandler, DragCancelHandler, DragEndHandler, DragMoveHandler, DragStartHandler

    public abstract class HandlesAllDragEvents

extends Object
implements DragStartHandler, DragMoveHandler, DragEndHandler, DragCancelHandler

Receiver used to handle all drag events.

Author:
  Maryanovsky Alexander

Constructor Summary
`HandlesAllDragEvents()`

Method Summary
`HandlerRegistration` | `handle(HasAllDragHandlers source)` Convenience method to handle all drag events from a source.
`static
`<H extends DragStartHandler & DragMoveHandler & DragEndHandler & DragCancelHandler> HandlerRegistration`
` | `handle(HasAllDragHandlers source, H receiver)` Convenience method to handle all drag events from a source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.drag.DragStartHandler
`onDragStart`

Methods inherited from interface com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.drag.DragMoveHandler
`onDragMove`

Methods inherited from interface com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.drag.DragEndHandler
`onDragEnd`

Methods inherited from interface com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.drag.DragCancelHandler
`onDragCancel`

Constructor Detail

### HandlesAllDragEvents

    public HandlesAllDragEvents()

Method Detail

### handle

    public HandlerRegistration handle(HasAllDragHandlers source)

  Convenience method to handle all drag events from a source.

### handle

    public static <H extends DragStartHandler & DragMoveHandler & DragEndHandler & DragCancelHandler> HandlerRegistration handle(HasAllDragHandlers source,
                                                                                                                              H receiver)

  Convenience method to handle all drag events from a source.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD